<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="caseInstance">
            <h2><span>Case Instance</span> {{ caseInstance.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Case No</span></dt>
                <dd>
                    <span>{{ caseInstance.caseNo }}</span>
                </dd>
                <dt><span>Case Id</span></dt>
                <dd>
                    <span>{{ caseInstance.caseId }}</span>
                </dd>
                <dt><span>Current Step Id</span></dt>
                <dd>
                    <span>{{ caseInstance.currentStepId }}</span>
                </dd>
                <dt><span>Remark</span></dt>
                <dd>
                    <span>{{ caseInstance.remark }}</span>
                </dd>
                <dt><span>Member Id</span></dt>
                <dd>
                    <span>{{ caseInstance.memberId }}</span>
                </dd>
                <dt><span>Case Data Id</span></dt>
                <dd>
                    <span>{{ caseInstance.caseDataId }}</span>
                </dd>
                <dt><span>Step Status</span></dt>
                <dd>
                    <span>{{ caseInstance.stepStatus }}</span>
                </dd>
                <dt><span>Created By</span></dt>
                <dd>
                    <span>{{ caseInstance.createdBy }}</span>
                </dd>
                <dt><span>Updated By</span></dt>
                <dd>
                    <span>{{ caseInstance.updatedBy }}</span>
                </dd>
                <dt><span>Created At</span></dt>
                <dd>
                    <span>{{ caseInstance.createdAt }}</span>
                </dd>
                <dt><span>Updated At</span></dt>
                <dd>
                    <span>{{ caseInstance.updatedAt }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/case-instance', caseInstance.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
